VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::content::library::item::UpdateSessionModel Class Reference

The `UpdateSessionModel` class provides information on an active UpdateSession resource. More...

List of all members.

## Classes
class | State
| The state of an update session. More...
## Public Member Functions
| UpdateSessionModel ()
| Creates a default new instance.
string | GetId ()
| The identifier of this update session.
void | SetId (string id)
| The identifier of this update session.
string | GetLibraryItemId ()
| The identifier of the library item to which content will be uploaded or removed.
void | SetLibraryItemId (string libraryItemId)
| The identifier of the library item to which content will be uploaded or removed.
string | GetLibraryItemContentVersion ()
| The content version of the library item whose content is being modified.
void | SetLibraryItemContentVersion (string libraryItemContentVersion)
| The content version of the library item whose content is being modified.
vmware.vapi.std.LocalizableMessage | GetErrorMessage ()
| If the session is in the UpdateSessionModel.State.ERROR status this property will have more details about the error.
void | SetErrorMessage (vmware.vapi.std.LocalizableMessage errorMessage)
| If the session is in the UpdateSessionModel.State.ERROR status this property will have more details about the error.
long | GetClientProgress ()
| The progress that has been made with the upload.
void | SetClientProgress (long?clientProgress)
| The progress that has been made with the upload.
vmware.content.library.item.UpdateSessionModel.State | GetState ()
| The current state ( ACTIVE, DONE, ERROR, CANCELED) of the update session.
void | SetState (vmware.content.library.item.UpdateSessionModel.State state)
| The current state ( ACTIVE, DONE, ERROR, CANCELED) of the update session.
global::System.DateTimeOffset | GetExpirationTime ()
| Indicates the time after which the session will expire.
void | SetExpirationTime (global::System.DateTimeOffset?expirationTime)
| Indicates the time after which the session will expire.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `UpdateSessionModel` class provides information on an active UpdateSession resource.

## Constructor & Destructor Documentation

vmware::content::library::item::UpdateSessionModel::UpdateSessionModel | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::content::library::item::UpdateSessionModel::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::content::library::item::UpdateSessionModel::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::content::library::item::UpdateSessionModel::_GetType | ( |  | ) | `[inline]`

bool vmware::content::library::item::UpdateSessionModel::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::content::library::item::UpdateSessionModel::_Validate | ( |  | ) | `[inline]`

override bool vmware::content::library::item::UpdateSessionModel::Equals | ( | object | obj | ) | `[inline]`

long vmware::content::library::item::UpdateSessionModel::GetClientProgress | ( |  | ) | `[inline]`

The progress that has been made with the upload.

This property is to be updated by the client during the upload process to indicate the progress of its work in completing the upload. The initial progress is 0 until updated by the client. The maximum value is 100, which indicates that the update is complete.

vmware.vapi.std.LocalizableMessage vmware::content::library::item::UpdateSessionModel::GetErrorMessage | ( |  | ) | `[inline]`

If the session is in the UpdateSessionModel.State.ERROR status this property will have more details about the error.

global::System.DateTimeOffset vmware::content::library::item::UpdateSessionModel::GetExpirationTime | ( |  | ) | `[inline]`

Indicates the time after which the session will expire.

The session is guaranteed not to expire earlier than this time.

override int vmware::content::library::item::UpdateSessionModel::GetHashCode | ( |  | ) | `[inline]`

string vmware::content::library::item::UpdateSessionModel::GetId | ( |  | ) | `[inline]`

The identifier of this update session.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

string vmware::content::library::item::UpdateSessionModel::GetLibraryItemContentVersion | ( |  | ) | `[inline]`

The content version of the library item whose content is being modified.

This value is the vmware.content.library.ItemModel.contentVersion at the time when the session is created for the library item.

string vmware::content::library::item::UpdateSessionModel::GetLibraryItemId | ( |  | ) | `[inline]`

The identifier of the library item to which content will be uploaded or removed.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.Item` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.Item` .

vmware.content.library.item.UpdateSessionModel.State vmware::content::library::item::UpdateSessionModel::GetState | ( |  | ) | `[inline]`

The current state ( ACTIVE, DONE, ERROR, CANCELED) of the update session.

void vmware::content::library::item::UpdateSessionModel::SetClientProgress | ( | long? | clientProgress | ) | `[inline]`

The progress that has been made with the upload.

This property is to be updated by the client during the upload process to indicate the progress of its work in completing the upload. The initial progress is 0 until updated by the client. The maximum value is 100, which indicates that the update is complete.

void vmware::content::library::item::UpdateSessionModel::SetErrorMessage | ( | vmware.vapi.std.LocalizableMessage | errorMessage | ) | `[inline]`

If the session is in the UpdateSessionModel.State.ERROR status this property will have more details about the error.

void vmware::content::library::item::UpdateSessionModel::SetExpirationTime | ( | global::System.DateTimeOffset? | expirationTime | ) | `[inline]`

Indicates the time after which the session will expire.

The session is guaranteed not to expire earlier than this time.

void vmware::content::library::item::UpdateSessionModel::SetId | ( | string | id | ) | `[inline]`

The identifier of this update session.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.item.UpdateSession` .

void vmware::content::library::item::UpdateSessionModel::SetLibraryItemContentVersion | ( | string | libraryItemContentVersion | ) | `[inline]`

The content version of the library item whose content is being modified.

This value is the vmware.content.library.ItemModel.contentVersion at the time when the session is created for the library item.

void vmware::content::library::item::UpdateSessionModel::SetLibraryItemId | ( | string | libraryItemId | ) | `[inline]`

The identifier of the library item to which content will be uploaded or removed.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.Item` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.Item` .

void vmware::content::library::item::UpdateSessionModel::SetState | ( | vmware.content.library.item.UpdateSessionModel.State | state | ) | `[inline]`

The current state ( ACTIVE, DONE, ERROR, CANCELED) of the update session.

override string vmware::content::library::item::UpdateSessionModel::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- UpdateSessionModel.cs